' '字节数组 转成 人类可读 字节数组字符串 uu=0 提取所有字符 ，uu>0 只提取指定数量的字符  cc>0 窄幅，就是中间没有空格
Function ByteToChr(By() as uByte, ByVal uu as Long = 0, ByVal cc as Long = 0) as String  '字节数组 转成 人类可读 字节数组字符串
   'uu=0 提取所有字符 ，uu>0 只提取指定数量的字符  cc>0 窄幅，就是中间没有空格
   Dim as Integer  u ,I
   Dim a() as String
   u = UBound(by)
   If u = -1 Then Exit Function
   If uu > 0 Then
      If u > uu -1 Then u = uu -1
   End If
   ReDim a(u)
   For i = 0 To u
      a(i) = Hex(by(i), 2)
   Next
   If cc Then
      Function = FF_Join(a(), "")
   Else
      Function = FF_Join(a(), " ")
   End If
End Function